Domains¶
List all domains¶
GET /api/domains
OAuth authorization required: projects_read
Schema
domains: Arrayid: Integerdomain: Stringsystem_domain: Booleanheader_hsts: Booleancreated_at: DateTimeupdated_at: DateTimecontainer_service: Integerlets_encrypt:String<active,pending,inactive>links: Hashcontainer_service: String (url)
View domain¶
GET /api/domains/{id}
OAuth authorization required: projects_read
Schema
domains: Arrayid: Integerdomain: Stringsystem_domain: Booleanle_enabled: Booleaningress_rule_id: Integerforce_https: Booleanheader_hsts: Booleancreated_at: DateTimeupdated_at: DateTimecontainer_service: Integerlets_encrypt:String<active,pending,inactive>links: Hashcontainer_service: String (url)
Create Domain¶
POST /api/domains
OAuth authorization required: projects_write
Schema
domain: Objectdomain: Stringle_enabled: Booleanheder_hsts: Booleaningress_rule_id: Integer
Update Domain¶
PATCH /api/domains/{id}
OAuth authorization required: projects_write
Schema
domain: Objectdomain: Stringle_enabled: Booleanheder_hsts: Booleaningress_rule_id: Integer
Delete Domain¶
DELETE /api/domains/{id}
Request Domain Validation¶
POST /api/domains/{id}/verify_dns
Manually verify a domain to enable LetsEncrypt. This will happen automatically every 10-15minutes.
OAuth authorization required: projects_write